/*
 * BatchWindow.h
 *
 * Written by Matt Pauker
 */

#ifndef BATCH_WINDOW_H
#define BATCH_WINDOW_H

#ifndef CHANGE_SUPPORT_H
#include "ChangeSupport.h"
#endif

#ifndef SIG_VIEW_H
#include "SigView.h"
#endif

#ifndef CHANGE_WINDOW_H
#include "ChangeWindow.h"
#endif

class BatchWindow : public ChangeWindow
{
	B_DECLARE_CLASS_INFO(ChangeWindow);
	public:
								BatchWindow(long topX, long topY, LockableList *refs);
	virtual void	Quit();
					void	NextFocus();
	
	private:
	virtual bool	QuitRequested();
	virtual void	MessageReceived(BMessage *message);
					
	LockableList	*refList;
};

#endif