/*
 * ChangeApplication.h
 * Copyright 1996 by Matt Pauker
 */

#ifndef CHANGE_APPLICATION_H
#define CHANGE_APPLICATION_H

#ifndef _INTERFACE_KIT_H
#include <InterfaceKit.h>
#endif

#ifndef LOCKABLE_LIST_H
#include "LockableList.h"
#endif

#ifndef INFO_WINDOW_H
#include "InfoWindow.h"
#endif

#include <stdlib.h>

class ChangeApplication : public BApplication
{
	B_DECLARE_CLASS_INFO(BApplication);
	
	public:
								ChangeApplication();
								~ChangeApplication();
	virtual void	ReadyToRun();
	virtual void	MessageReceived(BMessage *message);
	virtual void	RefsReceived(BMessage *message);
	virtual void	FilePanelClosed(BMessage *message);
	virtual void	AboutRequested();
					void	ShowFilePanel(const char *windowTitle, const char *buttonTitle, BMessage *msg);
					void	WindowClosed(BWindow *theWindow);
										
	private:
					bool	CheckFileOpen(record_ref ref);

					long	lastX, lastY;
					BRect *filePanelFrame;
		record_ref	*filePanelDir;
	LockableList	*windowList;
};

#endif