/*
 * LockableList.cpp
 *
 * Written by Matt Pauker
 */

#ifndef LOCKABLE_LIST_H
#include "LockableList.h"
#endif

B_DEFINE_CLASS_INFO(LockableList, BList);

// This code implements a BList that can be locked/unlocked.
// It's nothing fancy; Check out page 19 of the Support Kit

void LockableList::Lock()
{
	lock.Lock();
}

void LockableList::Unlock()
{
	lock.Unlock();
}