/*
 * SigView.h
 *
 * Written by Matt Pauker
 */

#ifndef SIG_VIEW_H
#define SIG_VIEW_H

#ifndef _INTERFACE_KIT_H
#include <InterfaceKit.h>
#endif

class SignatureView : public BTextView
{
	B_DECLARE_CLASS_INFO(BTextView);
	public:
								SignatureView(BRect frame, const char *name);
					void	SetSig(ulong code);
	virtual void	AttachedToWindow();
	virtual bool	AcceptsChar(ulong aChar) const;
	virtual void	MessageReceived(BMessage *message);
	virtual void	KeyDown(ulong aChar);
					ulong	GetSig();
};

#endif