/*
 * LockableList.h
 *
 * Written by Matt Pauker
 */

#ifndef LOCKABLE_LIST_H
#define LOCKABLE_LIST_H

#ifndef _LIST_H
#include <List.h>
#endif

#ifndef _LOCKER_H
#include <Locker.h>
#endif

class LockableList : public BList
{
	B_DECLARE_CLASS_INFO(BList);
	
	public:
		void	Lock();
		void	Unlock();
	private:
		BLocker	lock;
};

#endif